Skip to main content
GET
/
v1
/
channels
Get all channels
curl --request GET \
  --url https://dev.flextell.ai/api/v1/channels \
  --header 'Authorization: Bearer <token>' \
  --header 'X-Tenant: <x-tenant>'
{
  "data": [
    {
      "id": 123,
      "tenant_id": 123,
      "name": "<string>",
      "address": "<string>",
      "is_active": true,
      "created_at": "2023-11-07T05:31:56Z",
      "updated_at": "2023-11-07T05:31:56Z"
    }
  ]
}

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Headers

X-Tenant
number
required

Tenant identifier. Send the Tenant ID in the X-Tenant header to scope API requests to a specific tenant.

Response

Array of ChannelResource

data
ChannelResource · object[]
required